<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Manage extends CI_Controller {
	
	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -  
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in 
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see http://codeigniter.com/user_guide/general/urls.html
	 */

	function __construct(){
		//session_start();
		parent::__construct();
		
	}
	public function disablead($id)
	{
		//$this->output->enable_profiler(TRUE);
		
		$data=array('published'=>0);
		$result=$this->db->update('postings', $data,array('id'=>$id)); 
                if($result){
                    $data['success']=true;
                }else{
                    $data['success']=false;
                    $data['message']='There was a problem processing your request.Please try again later.';
                }
                echo json_encode($data);
	}
	public function enablead($id)
	{	
		//$this->output->enable_profiler(TRUE);
		
		$data=array('published'=>1);
		$result=$this->db->update('postings', $data,array('id'=>$id)); 
                if($result){
                    $data['success']=true;
                }else{
                    $data['success']=false;
                    $data['message']='There was a problem processing your request.Please try again later.';
                }
                echo json_encode($data);
	}
	
}

/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */
